Number of Results and Number of Days selectors no longer function
Closed, ResolvedPublic

Description

  • In Google Chrome, with the New Filters beta enabled, go to the RC page.
  • Try to change the "Show last" setting for results from 100 to 500.
  • Try to change the "in last" setting from 7 days to 30.

Expected result: more results are shown and the respective options in the tool menu become bold, to indicate that these are now the active settings.
Actual results: the page appears to update but the number of results shown and the bolded figures remain as before.

Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJun 9 2017, 9:32 PM

Change 358359 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Retain extra url params when comparing url equivalency

https://gerrit.wikimedia.org/r/358359

Mooeypoo claimed this task.Jun 12 2017, 1:01 PM

This was an issue with all options that are "outside" the RCFilters dropdown. Fixed in the commit above, and will be thoroughly fixed in an upcoming commit to rewrite (and unit test!) the way we do and compare URLs.

Change 358359 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Retain extra url params when comparing url equivalency

https://gerrit.wikimedia.org/r/358359

Change 358407 had a related patch set uploaded (by Catrope; owner: Mooeypoo):
[mediawiki/core@wmf/1.30.0-wmf.4] RCFilters: Retain extra url params when comparing url equivalency

https://gerrit.wikimedia.org/r/358407

Change 358407 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.4] RCFilters: Retain extra url params when comparing url equivalency

https://gerrit.wikimedia.org/r/358407

Mentioned in SAL (#wikimedia-operations) [2017-06-12T18:27:28Z] <thcipriani@tin> Synchronized php-1.30.0-wmf.4/resources/src/mediawiki.rcfilters/mw.rcfilters.Controller.js: SWAT: [[gerrit:358407|RCFilters: Retain extra url params when comparing url equivalency]] T167551 (duration: 00m 41s)

Yurivict removed a subscriber: Yurivict.Jun 12 2017, 6:42 PM

Checked in 1.30.0-wmf.4 (and betalabs) - RC page options (with "New filters for edit review" beta features enabled) for # of days/results and Tags/Namespaces work as expected.

Trizek-WMF lowered the priority of this task from Unbreak Now! to Normal.Jun 13 2017, 9:40 AM

I've tried it in production and it is working.
I'm lowering the priority to reflect the current less-urgent state.

jmatazzoni closed this task as Resolved.Jun 15 2017, 11:18 PM